Anonymous Login
2017-12-11 17:47 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001642OpenClonkWebsite - Automated Buildspublic2017-10-26 15:02
ReporterLuchs 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version7.0 
Target Versiongit masterFixed in Version 
Summary0001642: In the release source tarball, all files are marked as executable
DescriptionOnly files that are actually executable should be marked as executable.
Steps To Reproducewget http://www.openclonk.org/builds/release/7.0/openclonk-7.0-src.tar.bz2
tar tvf openclonk-7.0-src.tar.bz2
Additional Informationhttp://www.openclonk.org/builds/release/7.0/openclonk-7.0-src.tar.bz2
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004827

Isilkor (developer)

Not my bug, the exported source tree (https://git.openclonk.org/openclonk.git/archive/openclonk-release-7.0-src.tar.bz2) is correct; somebody broke things when uploading to www.openclonk.org

~0004858

Isilkor (developer)

Reminder sent to: Newton

Newton may have uploaded the tarball to openclonk.org.

~0004862

Newton (administrator)

Apparently Windows does add it when I touch the contents of the tar.

I do unpack and pack it again because I remove the Experimental.ocf, Tests.ocf etc. folders as I do not want them to turn up in
* Linux packages of the game (.deb, .rpm,...)
* the folder in which a (Linux) user decides to compile the game himself

That I do this manually is a temporary solution anyway. Couldn't the build system be extended to do this automatically? When is the source package on git archive created - is it already available when the release button is pushed?

~0004863

Isilkor (developer)

> When is the source package on git archive created - is it already available when the release button is pushed?
It's created whenever somebody pushes a tag to the repository.

~0004864

Newton (administrator)

...Which happens after the button has been pushed. So the release scripts have to create a source tar themself.

~0004865

Isilkor (developer)

> Which happens after the button has been pushed.
Well if somebody releases before pushing a tag that's their own fault.

~0004867

Newton (administrator)

That is beside the point, it is enough that it is possible and valid to do so (as it is described like this in the wiki) that makes it necessary that the release scripts have to create a source tar themselves.

~0004868

Isilkor (developer)

Last edited: 2016-01-24 13:14

View 2 revisions

Ignoring the wiki, since you won't find anything there because there's no search function, let me quote the release tool for you:

Pre Release Checklist

Dont forget to increase the version number in Version.txt.
Run a Dry Release to make sure the generated files are correct. Dry Release Area
Create a tag for the release.

Emphasis mine.

~0004869

Newton (administrator)

Last edited: 2016-01-24 14:37

View 2 revisions

My previous point holds. Anyway, the wiki article is here:
http://wiki.openclonk.org/w/Release_Steps

I corrected it.

~0004870

Maikel (developer)

In the 6.0 series we explicitly decided to tag after the release has been done, in case something goes wrong. So now we change that?

~0004871

Isilkor (developer)

"In case something goes wrong" doesn't really apply because we can do dry releases, which do the exact same thing as the real deal except updating the website.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-19 17:33 Luchs New Issue
2016-01-19 17:33 Luchs Status new => assigned
2016-01-19 17:33 Luchs Assigned To => Isilkor
2016-01-19 22:08 Isilkor Note Added: 0004827
2016-01-19 22:08 Isilkor Assigned To Isilkor =>
2016-01-19 22:08 Isilkor Status assigned => new
2016-01-23 20:43 Isilkor Note Added: 0004858
2016-01-24 11:56 Newton Note Added: 0004862
2016-01-24 11:57 Isilkor Note Added: 0004863
2016-01-24 12:15 Newton Note Added: 0004864
2016-01-24 12:22 Isilkor Note Added: 0004865
2016-01-24 13:02 Newton Note Added: 0004867
2016-01-24 13:14 Isilkor Note Added: 0004868
2016-01-24 13:14 Isilkor Note Edited: 0004868 View Revisions
2016-01-24 14:36 Newton Note Added: 0004869
2016-01-24 14:37 Newton Note Edited: 0004869 View Revisions
2016-01-24 14:48 Maikel Note Added: 0004870
2016-01-24 14:53 Isilkor Note Added: 0004871
2017-08-05 15:58 Maikel Target Version => 8.0
2017-10-26 15:02 Clonkonaut Target Version 8.0 => git master
+Issue History